using System;
using System.Collections.Generic;
using IRaCIS.Application.Contracts;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface ICroService
    {
        Task<PageOutput<CROCompanyDTO>> GetCroList(CROCompanyQueryDTO queryModel);
        Task<IEnumerable<CroSelectDTO>> GetAllCROList();
        Task<IResponseOutput> AddOrUpdateCro(CROCompanyDTO addCroCompanyViewModel);
        Task<IResponseOutput> DeleteCro(Guid croCompanyId);
    }
}